<div class="flex w-full h-full">
  <!-- 왼쪽 사이드바 -->
  <div @fadeInOut class="w-[300px] border-r hidden md:block">
    <div slot="contents" class="flex flex-col h-full">
      <div class="flex flex-1 w-full px-4 overflow-y-auto">
        <div class="flex flex-col items-start w-full pt-4 pb-6">
          <p class="mb-2 px-2 text-xs font-semibold text-[#9CA3AF]">채널</p>
          @for (channel of channels(); track $index) {
            <div class="flex justify-between w-full p-2 text-start text-sm font-semibold leading-6 text-[#374151] hover:rounded-md hover:bg-[#F9FAFB] hover:text-primary"
            [routerLink]="[channel.id ,'issues']" routerLinkActive="!text-primary !bg-[#F9FAFB]"
            [routerLinkActiveOptions]="{exact: false}">
              <p > {{ channel.name }} </p>
              <app-more-option-button routerLinkActive="!block" class="hidden" [routerLinkActiveOptions]="{exact: false}" (updateBtnClick)="channelUpdate(channel.id)" (deleteBtnClick)="channelDelete(channel.id )" /> 
            </div> 
          }
        </div>
      </div>
      <div class="h-16 p-4">
        <app-button [fill]="'outline'" (click)="openRegister()">채널 생성하기</app-button>
      </div>
    </div>
  </div>

  <!-- router view --> 
  <div class="flex flex-col w-full">
    <div class="mx-4 my-4 md:hidden flex items-center justify-between rounded-md border border-[#D1D5DB] px-3 py-1.5 shadow-sm" (click)="openChangeChannel()">
      <p class="text-sm leading-6 {{channel()?.name?  'text-neutral20': 'text-gray-400'}}">{{channel()?.name ?? "채널 검색"}}</p>
      <figure><img [src]="'/assets/icons/dropdown-btn.svg'" alt="" /></figure>
    </div>  
    <div class="flex-1 overflow-y-hidden">
      <router-outlet />  
    </div>  
  </div>
</div>